Foreman - Refactor #31471

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory
Deprecate setting timestamps in APl responses

12/08/2020 12:10 AM - Ondfej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Settings
Target version:
Difficulty: Fixed in Releases: 2.4.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8187
Description

In API, we are returning timestamps, this was regressed for the new presenter and should be addressed in #31285.

But we need to deprecate them as those will not be kept in the new model.

Related issues:
Related to Foreman - Bug #31285: responses to /api/v2/settings/<id> no longer... Closed

Associated revisions

Revision b0574383 - 12/24/2020 01:37 PM - Ondrej Ezr
Fixes #31471 - setting API deprecate timestamps

Adds response description for Setting API.
This allows to deprecate the timestamps and explain current and future behaviour.

History

#1 - 12/08/2020 12:11 AM - Ondfej Ezr
- Related to Bug #31285: responses to /api/v2/settings/<id> no longer contain 'created_at' and 'updated_at' attrs added

#2 - 12/08/2020 12:12 AM - Ondrej Ezr
- Parent task set to #29939

#3 - 12/08/2020 12:12 AM - Ondfej Ezr

- Subject changed from Deprecate setting timestamps to Deprecate setting timestamps in APl responses

#4 - 12/08/2020 12:17 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8187 added

#5 - 12/24/2020 01:37 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#6 - 12/24/2020 02:01 PM - Ondfej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|b057438344f7c0795354¢c1¢9a5461718307b7950.

05/20/2024

1/1



https://projects.theforeman.org/issues/31285
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/b057438344f7c0795354c1c9a5461718307b7950
http://www.tcpdf.org

